package com.facebook.internal;

import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import com.tencent.matrix.trace.core.AppMethodBeat;

final class AttributionIdentifiers$GoogleAdInfo implements IInterface {
    private static final int FIRST_TRANSACTION_CODE = 1;
    private static final int SECOND_TRANSACTION_CODE = 2;
    private IBinder binder;

    AttributionIdentifiers$GoogleAdInfo(IBinder iBinder) {
        this.binder = iBinder;
    }

    public final IBinder asBinder() {
        return this.binder;
    }

    public final String getAdvertiserId() {
        AppMethodBeat.i(72232);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.google.android.gms.ads.identifier.internal.IAdvertisingIdService");
            this.binder.transact(1, obtain, obtain2, 0);
            obtain2.readException();
            String readString = obtain2.readString();
            return readString;
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(72232);
        }
    }

    public final boolean isTrackingLimited() {
        boolean z = true;
        AppMethodBeat.i(72233);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.google.android.gms.ads.identifier.internal.IAdvertisingIdService");
            obtain.writeInt(1);
            this.binder.transact(2, obtain, obtain2, 0);
            obtain2.readException();
            if (obtain2.readInt() == 0) {
                z = false;
            }
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(72233);
            return z;
        } catch (Throwable th) {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(72233);
        }
    }
}
